Page MenuHomePhabricator

Fix warnings preventing copy elision.
ClosedPublic

Authored by wttsugrii on Aug 23 2016, 7:24 PM.

Details

Summary

Moving a temporary object prevents copy elision, which is exactly
what clang points out by warning about this pattern.

The fix is simply removal of std::move applied to temporary objects.

Diff Detail

Event Timeline

wttsugrii updated this revision to Diff 69070.Aug 23 2016, 7:24 PM
wttsugrii retitled this revision from to Fix warnings preventing copy elision..
wttsugrii updated this object.
labath added a subscriber: lldb-commits.
clayborg accepted this revision.Aug 24 2016, 8:39 AM
clayborg edited edge metadata.
This revision is now accepted and ready to land.Aug 24 2016, 8:39 AM

Thanks for the review @clayborg. Could someone please commit this patch to lldb repo?

labath closed this revision.Aug 25 2016, 1:38 AM
labath added a subscriber: labath.

committed in r279724.